Show / Hide Table of Contents

# Struct LogMessageSource

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Misc

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct LogMessageSource

### Fields

| Improve this Doc View Source

#### ChatType

##### Declaration

    public short ChatType

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### ContentId

##### Declaration

    public ulong ContentId

##### Field Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### LogMessageIndex

##### Declaration

    public int LogMessageIndex

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### World

##### Declaration

    public short World

##### Field Value

Type | Description
--- | ---
System.Int16 |